Package org.eclipse.net4j.util.io

# Class RemoteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.io.RemoteException

All Implemented Interfaces:
  `Serializable`

public class RemoteException extends RuntimeException
An exception that wraps an exception that has been thrown in a different JVM.

Since:
  3.17
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`RemoteException()`
``
`RemoteException(String message)`
``
`RemoteException(String message, Throwable cause)`
`protected`
`RemoteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
``
`RemoteException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`RuntimeException`
`unwrap()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteException

public RemoteException()

### RemoteException

public RemoteException(String message, Throwable cause)

### RemoteException

public RemoteException(String message)

### RemoteException

public RemoteException(Throwable cause)

### RemoteException

protected RemoteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)

## Method Details

### unwrap

public RuntimeException unwrap()